<?php echo $header; ?>
<style type="text/css">
	#cat_recommendations-product {
	height:250px;
	width: 100%;
	}
</style>
<div id="content">
	<div class="breadcrumb">
		<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
		<?php } ?>
	</div>
	<?php if ($error_warning) { ?>
		<div class="warning"><?php echo $error_warning; ?></div>
	<?php } ?>
	<div class="box">
		<div class="heading">
			<h1><img src="view/image/module.png" alt="" /> <?php echo $heading_title; ?></h1>
			<div class="buttons"><a onclick="apply()" class="button"><?php echo $button_submit; ?></a><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a href="<?php echo $cancel; ?>" class="button"><?php echo $button_cancel; ?></a></div>
			
			<script language="javascript">
				function apply(){
					$('#form').append('<input type="hidden" id="apply" name="apply" value="1"  />');
					$('#form').submit();
				}
			</script>
			
		</div>
		<div class="content">
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
				<table class="form">
					<tr>
						<td><?php echo $entry_product; ?></td>
						<td><input type="text" name="product" value="" /></td>
					</tr>
					<tr>
						<td>
							
						</td>
						<td>
							<select id="category_product">
								<?php
									foreach ($categories as $category){
										echo "<option value='". $category['category_id']. "'>". $category['name'] ."</option>";
									}
								?>	
							</select>
							<br><br>
							<div id="cat_recommendations-product" class="scrollbox">
								<?php $i = 0; ?>
								<?php foreach ($category_list as $category){ ?>
								<?php if (($i++) == 0) $display = 'display:block'; else $display = 'display:none'; ?>
									<div style="<?php echo $display; ?>" id="cat_recommendationsegory<?php echo $category['category_id']; ?>">
										<?php $class = 'odd'; ?>
										<?php foreach ($category['products'] as $product) {  ?>
											<?php $class = ($class == 'even' ? 'odd' : 'even'); ?>
											<div id="cat_recommendations-product<?php echo $product['product_id']; ?>-<?php echo $category['category_id']; ?>" class="<?php echo $class; ?>"><?php echo $product['name']; ?> <img src="view/image/delete.png" alt="" />
												<input type="hidden" value="<?php echo $product['product_id']; ?>" />
											</div>
										<?php } ?>									
										<input type="hidden" class="cat_recommendations_product" name="cat_recommendations_product_<?php echo $category['category_id']; ?>" value="<?php echo $category['cat_recommendations_product']; ?>" />
									</div> 
								<?php } ?>
							</div>
						</td>
					</tr>
				</table>
				<table id="module" class="list">
					<thead>
						<tr>
							<td class="left"><?php echo $entry_image; ?></td>
							<td class="left"><?php echo $entry_layout; ?></td>
							<td class="left"><?php echo $entry_position; ?></td>
							<td class="left"><?php echo $entry_status; ?></td>
							<td class="right"><?php echo $entry_sort_order; ?></td>
							<td></td>
						</tr>
						</thead>
						<?php $module_row = 0; ?>
						<?php foreach ($modules as $module) { ?>
							<tbody id="module-row<?php echo $module_row; ?>">
								<tr>
									<td class="left"><input type="text" name="cat_recommendations_module[<?php echo $module_row; ?>][image_width]" value="<?php echo $module['image_width']; ?>" size="3" />
										<input type="text" name="cat_recommendations_module[<?php echo $module_row; ?>][image_height]" value="<?php echo $module['image_height']; ?>" size="3" />
										<?php if (isset($error_image[$module_row])) { ?>
											<span class="error"><?php echo $error_image[$module_row]; ?></span>
										<?php } ?></td>
										<td class="left"><select name="cat_recommendations_module[<?php echo $module_row; ?>][layout_id]">
											<?php foreach ($layouts as $layout) { ?>
												<?php if ($layout['layout_id'] == $module['layout_id']) { ?>
													<option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
													<?php } else { ?>
													<option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
												<?php } ?>
											<?php } ?>
										</select></td>
										<td class="left"><select name="cat_recommendations_module[<?php echo $module_row; ?>][position]">
											<?php if ($module['position'] == 'content_top') { ?>
												<option value="content_top" selected="selected"><?php echo $text_content_top; ?></option>
												<?php } else { ?>
												<option value="content_top"><?php echo $text_content_top; ?></option>
											<?php } ?>
											<?php if ($module['position'] == 'content_bottom') { ?>
												<option value="content_bottom" selected="selected"><?php echo $text_content_bottom; ?></option>
												<?php } else { ?>
												<option value="content_bottom"><?php echo $text_content_bottom; ?></option>
											<?php } ?>
										</select></td>
										<td class="left"><select name="cat_recommendations_module[<?php echo $module_row; ?>][status]">
											<?php if ($module['status']) { ?>
												<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
												<option value="0"><?php echo $text_disabled; ?></option>
												<?php } else { ?>
												<option value="1"><?php echo $text_enabled; ?></option>
												<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
											<?php } ?>
										</select></td>
										<td class="right"><input type="text" name="cat_recommendations_module[<?php echo $module_row; ?>][sort_order]" value="<?php echo $module['sort_order']; ?>" size="3" /></td>
										<td class="left"><a onclick="$('#module-row<?php echo $module_row; ?>').remove();" class="button"><?php echo $button_remove; ?></a></td>
								</tr>
							</tbody>
							<?php $module_row++; ?>
						<?php } ?>
						<tfoot>
							<tr>
								<td colspan="5"></td>
								<td class="left"><a onclick="addModule();" class="button"><?php echo $button_add_module; ?></a></td>
							</tr>
						</tfoot>
					</table>
				</form>
			</div>
		</div>
	</div>
	<script type="text/javascript"><!--
		$('#category_product').live('change', function() {
			var id = $(this).val();
			$('#cat_recommendations-product > div').hide();
			$('#cat_recommendationsegory' + id).show();
		});
		
		$('input[name=\'product\']').autocomplete({
			delay: 500,
			source: function(request, response) {
				$.ajax({
					url: 'index.php?route=module/cat_recommendations/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request.term) + '&filter_category_id=' + $('#category_product').val(),
					dataType: 'json',
					success: function(json) {	
						response($.map(json, function(item) {
							return {
								label: item.name,
								value: item.product_id
							}
						}));
					}
				});
			}, 
			select: function(event, ui) {
				$('#cat_recommendations-product' + ui.item.value + '-' + $('#category_product').val()).remove();
				
				$('#cat_recommendationsegory' + $('#category_product').val()).append('<div id="cat_recommendations-product' + ui.item.value + '-' + $('#category_product').val() + '">' + ui.item.label + '<img src="view/image/delete.png" alt="" /><input type="hidden" value="' + ui.item.value + '" /></div>');
				
				$('#cat_recommendationsegory' + $('#category_product').val() + ' div:odd').attr('class', 'odd');
				$('#cat_recommendationsegory' + $('#category_product').val() + ' div:even').attr('class', 'even');
				
				data = $.map($('#cat_recommendationsegory' + $('#category_product').val() + ' div input'), function(element){
					return $(element).attr('value');
				});
				
				$('#cat_recommendationsegory' + $('#category_product').val() + ' .cat_recommendations_product').attr('value', data.join());
				
				return false;
			},
			focus: function(event, ui) {
				return false;
			}
		});
		
		$('#cat_recommendationsegory' + $('#category_product').val() + ' div img').live('click', function() {
			$(this).parent().remove();
			
			$('#cat_recommendationsegory' + $('#category_product').val() + ' div div:odd').attr('class', 'odd');
			$('#cat_recommendationsegory' + $('#category_product').val() + ' div div:even').attr('class', 'even');
			
			data = $.map($('#cat_recommendationsegory' + $('#category_product').val() + ' div input'), function(element){
				return $(element).attr('value');
			});
			
			$('#cat_recommendationsegory' + $('#category_product').val() + ' .cat_recommendations_product').attr('value', data.join());	
		});
		
	//--></script> 
	<script type="text/javascript"><!--
		var module_row = <?php echo $module_row; ?>;
		
		function addModule() {	
			html  = '<tbody id="module-row' + module_row + '">';
			html += '  <tr>';
			html += '    <td class="left"><input type="text" name="cat_recommendations_module[' + module_row + '][image_width]" value="80" size="3" /> <input type="text" name="cat_recommendations_module[' + module_row + '][image_height]" value="80" size="3" /></td>';	
			html += '    <td class="left"><select name="cat_recommendations_module[' + module_row + '][layout_id]">';
			<?php foreach ($layouts as $layout) { ?>
				html += '      <option value="<?php echo $layout['layout_id']; ?>"><?php echo addslashes($layout['name']); ?></option>';
			<?php } ?>
			html += '    </select></td>';
			html += '    <td class="left"><select name="cat_recommendations_module[' + module_row + '][position]">';
			html += '      <option value="content_top"><?php echo $text_content_top; ?></option>';
			html += '      <option value="content_bottom"><?php echo $text_content_bottom; ?></option>';
			html += '    </select></td>';
			html += '    <td class="left"><select name="cat_recommendations_module[' + module_row + '][status]">';
			html += '      <option value="1" selected="selected"><?php echo $text_enabled; ?></option>';
			html += '      <option value="0"><?php echo $text_disabled; ?></option>';
			html += '    </select></td>';
			html += '    <td class="right"><input type="text" name="cat_recommendations_module[' + module_row + '][sort_order]" value="" size="3" /></td>';
			html += '    <td class="left"><a onclick="$(\'#module-row' + module_row + '\').remove();" class="button"><?php echo $button_remove; ?></a></td>';
			html += '  </tr>';
			html += '</tbody>';
			
			$('#module tfoot').before(html);
			
			module_row++;
		}
	//--></script> 
<?php echo $footer; ?>