<div class="box cat-recommendations">
	<div class="box-heading"><?php echo $heading_title; ?></div>
	<div class="box-content">
		
		<div class="cat-recommendations-tabs">
			<ul>
				<?php foreach ($category_list as $key => $category){ ?>
					<li class="cat-recommendations-tab<?php echo $key == 0 ? ' active' : ''; ?>" data-cat-recommendations="<?php echo $key; ?>">
						<a href="#"><?php echo $category['name']; ?></a>
					</li>
				<?php } ?>	
			</ul>
		</div>
		
		<div class="cat-recommendations-product">
			<?php foreach ($category_list as $key => $category) { ?>
				
				<div id="carousel<?php echo $module; ?>_car_reccommend_<?php echo $key; ?>" class="reccommend-carousel box-tab-content<?php echo $key == 0 ? ' active' : ''; ?>" data-cat-recommendations="<?php echo $key; ?>">
					<div class="jcarousel-skin-opencart">
						<ul class="box-product">
							<?php foreach ($category['products'] as $product) {  ?>
								<li>
									<?php if ($product['thumb']) { ?>
										<div class="image"><a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" /></a></div>
									<?php } ?>
									<div class="name"><a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a></div>
									<?php if ($product['price']) { ?>
										<div class="price">
											<?php if (!$product['special']) { ?>
												<?php echo $product['price']; ?>
												<?php } else { ?>
												<span class="price-old"><?php echo $product['price']; ?></span> <span class="price-new"><?php echo $product['special']; ?></span>
											<?php } ?>
										</div>
									<?php } ?>
									<?php if ($product['rating']) { ?>
										<div class="rating"><img src="catalog/view/theme/default/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" /></div>
									<?php } ?>
									<div class="cart"><input type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="button" /></div>
								</li>
							<?php } ?>
						</ul>
					</div>
					
				</div>
				
			<?php } ?>	
		</div>
		
	</div>
	
	<script type="text/javascript"><!--
		$('.cat-recommendations-product .reccommend-carousel ul').each(function(){
			$(this).jcarousel({
				vertical: false,
				visible: <?php echo $limit; ?>,
				scroll: <?php echo $scroll; ?>
			});
		});
	//--></script>		
	
</div>
